/****************************************************************************
 * (c) 2018 softwareentwicklung-als-prozess.de
 * Funktionalitaet:
 * Ausgabe ueber I2C auf LED Bargraph Anzeige
 ***************************************************************************/
// Includes -----------------------------------------------------------------
#include <Wire.h>
#include "i2cdac.h"

// Funktionen ----------------------------------------------------------------
void setup(void) 
{
  DAC_Setup(0x60);
}

void loop(void) 
{
    uint16_t counter;
    // Run through the full 12-bit scale for a triangle wave
    for (counter = (uint16_t)0; counter < (uint16_t)DAC_MAXVAL; counter++)
    {
      DAC_WriteValue(counter);
    }
    for (counter = (uint16_t)DAC_MAXVAL; counter > (uint16_t)0; counter--)
    {
      DAC_WriteValue(counter);
    }
}
